Skip to main content
WEBHOOK
paymentNotification
{
  "id": "54ba1fdb-7e4e-402b-aebb-66f9d5345cf8",
  "created_at": "2023-10-10T00:00:00Z",
  "event_type": "payment.processing",
  "payment": {
    "id": "54ba1fdb-7e4e-402b-aebb-66f9d5345cf8",
    "amount": {
      "requested": 1000
    },
    "created_at": "2023-10-10T00:00:00Z",
    "currency_code": "EUR",
    "flow_matrix_rule": "e-commerce flow",
    "reference": "Order #12345",
    "status": "processing",
    "source": {
      "type": "card",
      "cardholder_name": "Bob Holder",
      "expiry_month": 12,
      "expiry_year": 2030,
      "masked_account_number": "424242XXXXXX4242",
      "pan_type": "FPAN"
    },
    "use_case": "ONE_OFF"
  }
}

Headers

x-hmac-signature
string

The signature of request body calculated based on the secret HMAC key of the account

Body

application/json
id
string<uuid>

The ID of the payment which triggered the notification.

created_at
string<date-time>

The date-time the event was occurred (following ISO 8601)

event_type
enum<string>
Available options:
payment.processing,
payment.authorized,
payment.captured,
payment.settled,
payment.failed,
payment.voided,
payment.refunded
payment
object

Response

Confirmation of receipt. For other status codes, Commerce will try to redeliver.